Seqmentlər
GET https://push.yayim.org/api/segments/
curl --request GET \
--url 'https://push.yayim.org/api/segments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/segments/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Mətn | Axtarış mətni. |
| search_by | İstəyə bağlı Mətn | Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: name. |
| website_id | İstəyə bağlı Tam ədəd | |
| datetime_field | İstəyə bağlı Mətn | İcazəli dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Mətn | Bu tarix və vaxtdan başlayaraq nəticələri süzün. Format: Y-m-d H:i:s. |
| datetime_end | İstəyə bağlı Mətn | Bu tarix və vaxta qədər nəticələri süzün. Format: Y-m-d H:i:s. |
| order_by | İstəyə bağlı Mətn | Nəticələrin hansı sahəyə görə sıralanacağı. İcazəli dəyərlər: segment_id, datetime, last_datetime, name, total_subscribers. |
| order_type | İstəyə bağlı Mətn | Sıralama qaydası: artan sıra üçün ASC, azalan sıra üçün DESC. |
| page | İstəyə bağlı Tam ədəd | Nəticələri almaq istədiyiniz səhifə nömrəsi. Standart dəyər 1. |
| results_per_page | İstəyə bağlı Tam ədəd | Bir səhifədə istədiyiniz nəticə sayı. İcazəli dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Standart dəyər: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"settings": [],
"type": "Example",
"total_subscribers": 1,
"last_datetime": null,
"datetime": "2026-11-21 21:50:25"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://push.yayim.org/api/segments?page=1",
"last": "https://push.yayim.org/api/segments?page=1",
"next": null,
"prev": null,
"self": "https://push.yayim.org/api/segments?page=1"
}
}
GET https://push.yayim.org/api/segments/{segment_id}
curl --request GET \
--url 'https://push.yayim.org/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"settings": [],
"type": "Example",
"total_subscribers": 1,
"last_datetime": null,
"datetime": "2026-11-21 21:50:25"
}
}
POST https://push.yayim.org/api/segments
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| website_id | Məcburi Tam ədəd | - |
| name | Məcburi Mətn | - |
| type | İstəyə bağlı Mətn | İcazəli dəyərlər: custom, filter |
| subscribers_ids | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = custom |
| filters_custom_parameter_key[index] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_custom_parameter_condition[index] | İstəyə bağlı Mətn |
İcazəli dəyərlər: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Bu halda mövcuddur: segment = filter |
| filters_custom_parameter_value[index] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_seen_online_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_sent_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_subscribed_on_url | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_cities | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_countries[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_continents[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_device_type[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_languages[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_operating_systems[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_browsers[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_countries | İstəyə bağlı Massiv | - |
| filters_continents | İstəyə bağlı Massiv | - |
| filters_device_type | İstəyə bağlı Massiv | - |
| filters_languages | İstəyə bağlı Massiv | - |
| filters_operating_systems | İstəyə bağlı Massiv | - |
| filters_browsers | İstəyə bağlı Massiv | - |
curl --request POST \
--url 'https://push.yayim.org/api/segments' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
--url 'https://push.yayim.org/api/segments' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"settings": {},
"type": "Example",
"total_subscribers": 1,
"last_datetime": null,
"datetime": "2026-11-21 21:50:25"
}
}
POST https://push.yayim.org/api/segments/{segment_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| website_id | İstəyə bağlı Tam ədəd | - |
| name | İstəyə bağlı Mətn | - |
| type | İstəyə bağlı Mətn | İcazəli dəyərlər: custom, filter |
| subscribers_ids | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = custom |
| filters_custom_parameter_key[index] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_custom_parameter_condition[index] | İstəyə bağlı Mətn |
İcazəli dəyərlər: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Bu halda mövcuddur: segment = filter |
| filters_custom_parameter_value[index] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_seen_online_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_last_sent_datetime_condition | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | İstəyə bağlı Tam ədəd | Bu halda mövcuddur: segment = filter gün |
| filters_subscribed_on_url | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_cities | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_countries[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_continents[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_device_type[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_languages[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_operating_systems[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_browsers[] | İstəyə bağlı Mətn | Bu halda mövcuddur: segment = filter |
| filters_countries | İstəyə bağlı Massiv | - |
| filters_continents | İstəyə bağlı Massiv | - |
| filters_device_type | İstəyə bağlı Massiv | - |
| filters_languages | İstəyə bağlı Massiv | - |
| filters_operating_systems | İstəyə bağlı Massiv | - |
| filters_browsers | İstəyə bağlı Massiv | - |
curl --request POST \
--url 'https://push.yayim.org/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
--url 'https://push.yayim.org/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'type=custom' \
--form 'subscribers_ids=1,2,3,4,5' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"settings": {},
"type": "Example",
"total_subscribers": 1,
"last_datetime": null,
"datetime": "2026-11-21 21:50:25"
}
}
DELETE https://push.yayim.org/api/segments/{segment_id}
curl --request DELETE \
--url 'https://push.yayim.org/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \